Skip to main content
`Ctrl`+`K`

# Python Linting

2026-06-10

1 min read time

The following list of tools is used for checking correctness in Python code. These tools are set up to run as git pre-commit hooks via pre-commit.

- `Ruff` for linting

  - Usage

- `Mypy` for static type checking

  - Usage

- `Black` for code formatting

  - Usage

- `isort` for import sorting

  - Usage

Some non-Python-specific hooks are also enabled:

- Check `yaml`, `toml`, and `json` validity

- Check for no trailing whitespaces and additional newline at the end of files